org.apache.fop.util

## Interface ContentHandlerFactory.ObjectSource

- All Known Implementing Classes:
    AFPExtensionHandler, PDFExtensionHandler, PSExtensionHandler
  Enclosing interface:
    ContentHandlerFactory

      public static interface ContentHandlerFactory.ObjectSource

  Interface that ContentHandler implementations that parse Java objects from XML can implement to return these objects.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `getObject()`
    `void` | `setObjectBuiltListener(ContentHandlerFactory.ObjectBuiltListener listener)` Set a listener which gets notified when the object is fully built.

- - ### Method Detail

    - #### getObject

          java.lang.Object getObject()

      Returns:
        the object parsed from the SAX stream (call valid after parsing)

    - #### setObjectBuiltListener

          void setObjectBuiltListener(ContentHandlerFactory.ObjectBuiltListener listener)

      Set a listener which gets notified when the object is fully built.
      Parameters:
        `listener` - the listener which gets notified

Copyright 1999-2015 The Apache Software Foundation. All Rights Reserved.